{% extends 'profile/layouts/admin/admin_layout.html' %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Edit Password</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}
    
    <div class="card mb-5 shadow">
        <h5 class="card-header">Edit Password</h5>
        <div class="card-body">

            <form method ='post' enctype ="multipart/form-data" action="{% url 'profile:admin_user_password_edit' %}">

                {% csrf_token %}
                
                <!-- {{form}} -->

                {% if form.errors %}
                    {% for error in form.non_field_errors  %}
                        <div class="alert alert-danger" role="alert">
                            {{error}}
                        </div>
                    {% endfor %}
                {% endif %}

                <div class="form-group">
                    <label for="{{ form.old_password.id_for_label }}">Password lama</label>
                    <input type="password" placeholder=""
                        class="form-control {% if form.old_password.errors %}is-invalid{% endif %}"
                        name="{{ form.old_password.name }}"
                        id="{{ form.old_password.id_for_label }}" 
                        maxlength="{{ form.old_password.field.max_length }}"
                        minlength="8"
                        required>
                    {% if form.old_password.errors %}
                        <div class="invalid-feedback">
                            {{ form.old_password.errors }}
                        </div>
                    {% endif %}
                </div>

                <div class="form-group">
                    <label for="{{ form.new_password1.id_for_label }}">Password Baru</label>
                    <input type="password" placeholder=""
                        class="form-control {% if form.new_password1.errors %}is-invalid{% endif %}"
                        name="{{ form.new_password1.name }}"
                        id="{{ form.new_password1.id_for_label }}" 
                        maxlength="{{ form.new_password1.field.max_length }}"
                        minlength="8"
                        required>
                    {% if form.new_password1.errors %}
                        <div class="invalid-feedback">
                            {{ form.new_password1.errors }}
                        </div>
                    {% endif %}
                </div>

                <div class="form-group">
                    <label for="{{ form.new_password2.id_for_label }}">Konfirmasi Password lama</label>
                    <input type="password" placeholder=""
                        class="form-control {% if form.new_password2.errors %}is-invalid{% endif %}"
                        name="{{ form.new_password2.name }}"
                        id="{{ form.new_password2.id_for_label }}" 
                        maxlength="{{ form.new_password2.field.max_length }}"
                        minlength="8"
                        required>
                    {% if form.new_password2.errors %}
                        <div class="invalid-feedback">
                            {{ form.new_password2.errors }}
                        </div>
                    {% endif %}
                    {{ form.new_password1.field.help_text }}
                </div>

                <button type="submit" class="btn btn-success"><i class="bi bi-save"></i> Simpan</button>
            </form>
        </div>
    </div>

{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}